Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicegen
Interface ServicegenFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ServicegenFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ServicegenPackage`

Field Summary
`static ServicegenFactory` | `eINSTANCE` The singleton instance of the factory

Method Summary
`BaseTypes` | `createBaseTypes()` Returns a new object of class 'Base Types'
`CustomTemplateBasedImplCartridge` | `createCustomTemplateBasedImplCartridge()` Returns a new object of class 'Custom Template Based Impl Cartridge'
`FlowModelImplCartridge` | `createFlowModelImplCartridge()` Returns a new object of class 'Flow Model Impl Cartridge'
`ManualImplCartridge` | `createManualImplCartridge()` Returns a new object of class 'Manual Impl Cartridge'
`OrchestrationFlowCompositeSC` | `createOrchestrationFlowCompositeSC()` Returns a new object of class 'Orchestration Flow Composite SC'
`ResourceBasedSimpleSC` | `createResourceBasedSimpleSC()` Returns a new object of class 'Resource Based Simple SC'
`ServiceImpl` | `createServiceImpl()` Returns a new object of class 'Service Impl'
`SOABEModel` | `createSOABEModel()` Returns a new object of class 'SOABE Model'
`TargetPlatform` | `createTargetPlatform()` Returns a new object of class 'Target Platform'
`ServicegenPackage` | `getServicegenPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final ServicegenFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSOABEModel

    SOABEModel createSOABEModel()

  Returns a new object of class 'SOABE Model'.

  Returns:
    a new object of class 'SOABE Model'.

### createBaseTypes

    BaseTypes createBaseTypes()

  Returns a new object of class 'Base Types'.

  Returns:
    a new object of class 'Base Types'.

### createServiceImpl

    ServiceImpl createServiceImpl()

  Returns a new object of class 'Service Impl'.

  Returns:
    a new object of class 'Service Impl'.

### createTargetPlatform

    TargetPlatform createTargetPlatform()

  Returns a new object of class 'Target Platform'.

  Returns:
    a new object of class 'Target Platform'.

### createResourceBasedSimpleSC

    ResourceBasedSimpleSC createResourceBasedSimpleSC()

  Returns a new object of class 'Resource Based Simple SC'.

  Returns:
    a new object of class 'Resource Based Simple SC'.

### createOrchestrationFlowCompositeSC

    OrchestrationFlowCompositeSC createOrchestrationFlowCompositeSC()

  Returns a new object of class 'Orchestration Flow Composite SC'.

  Returns:
    a new object of class 'Orchestration Flow Composite SC'.

### createManualImplCartridge

    ManualImplCartridge createManualImplCartridge()

  Returns a new object of class 'Manual Impl Cartridge'.

  Returns:
    a new object of class 'Manual Impl Cartridge'.

### createCustomTemplateBasedImplCartridge

    CustomTemplateBasedImplCartridge createCustomTemplateBasedImplCartridge()

  Returns a new object of class 'Custom Template Based Impl Cartridge'.

  Returns:
    a new object of class 'Custom Template Based Impl Cartridge'.

### createFlowModelImplCartridge

    FlowModelImplCartridge createFlowModelImplCartridge()

  Returns a new object of class 'Flow Model Impl Cartridge'.

  Returns:
    a new object of class 'Flow Model Impl Cartridge'.

### getServicegenPackage

    ServicegenPackage getServicegenPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD